Bug 1253194 - The error "You are not a member" is shown when creating a new project after I delete only one project
The error "You are not a member" is shown when creating a new project after ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fabiano Franz
Yan Du
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 04:19 EDT by Wei Sun
Modified: 2016-05-12 13:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:12:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2015-08-13 04:19:45 EDT
Description of problem:
Log in using oc,and create a new project and make sure the account only has one project.And then delete the project,and try to create another new project(7zavv).But "error: You are not a member of project "7zavv".You are not a member of any projects. You can request a project to be created with the 'new-project' command." is shown when creating the new project(7zavv).List the project ,project 7zavv is created successfully.


Version-Release number of selected component (if applicable):
devenv-fedora_2150
$ oc version
oc v1.0.4-218-g1d44585
kubernetes v1.1.0-alpha.0-1155-gb73c53c

How reproducible:
Sometimes

Steps to Reproduce:
1.Log in
2.Make sure the user does not have any project
3.Create a new project
4.Delete the only one project
5.Create another new project
6.List the projects

Actual results:
1.$ oc login 
Username: wsun
Authentication required for https://localhost:8443 (openshift)
Password: ******
Login successful.

You don't have any projects. You can try to create a new project, by running

    $ oc new-project <projectname>

Welcome! See 'oc help' to get started.
3.$ oc new-project w81mz
Now using project "w81mz" on server "https://localhost:8443".
4.$ oc delete project w81mz
project "w81mz" deleted
5.$ oc new-project 7zavv
error: You are not a member of project "7zavv".
You are not a member of any projects. You can request a project to be created with the 'new-project' command.
6.$ oc get projects
NAME      DISPLAY NAME   STATUS
7zavv                    Active


Expected results:
Should not have error message.

Additional info:
Comment 1 Fabiano Franz 2015-08-17 15:18:50 EDT
Under discussion in https://github.com/openshift/origin/issues/4141
Comment 2 Fabiano Franz 2016-02-02 14:20:50 EST
Fixed in master.
Comment 3 Wei Sun 2016-02-03 03:48:51 EST
The bug was fixed,and verified on devenv-rhel7_3319.

# oc version
oc v1.1.1-380-gc05e2b3
kubernetes v1.2.0-alpha.4-851-g4a65fa1

Note You need to log in before you can comment on or make changes to this bug.